> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/elements/patchjob/patchjobemail.md).

# Patchjobemail

A PatchJobEmail element describes an email address that we send patching reports to.

You can set which reports to have sent to the email address:

* progress reports
* the final result report

## Element structure

| Property          | Value type | Required  | Description                                                                     |
| ----------------- | ---------- | --------- | ------------------------------------------------------------------------------- |
| id                | string     | Read-only | Unique identifier of this element                                               |
| email             | string     | Yes       | The email address to send PatchJob reports to                                   |
| progressReport \` | int        | Yes       | Indicates whether to send progress reports to the email address (0: no, 1: yes) |
| resultReport      | int        | Yes       | Indicates whether to send the final report to the email address (0: no, 1: yes) |
| createdAt         | int        | Read-only | A unix timestamp of when this element was created                               |

Table 1: PatchJobEmail element structure

## API example

This element is not created individually, but is included in, and created with the [PatchJob](/game-hosting/elements/patchjob.md) element.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/game-hosting/elements/patchjob/patchjobemail.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
